org.apache.poi.hpbf.model.qcbits

## Class QCBit

- java.lang.Object
- - org.apache.poi.hpbf.model.qcbits.QCBit

- Direct Known Subclasses:
    QCPLCBit, QCTextBit, UnknownQCBit

      public abstract class QCBit
      extends java.lang.Object

  Parent of all Quill CONTENTS bits

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QCBit(java.lang.String thingType, java.lang.String bitType, byte[] data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBitType()` Returns the type of the bit data, eg TEXT or PLC
    `byte[]` | `getData()`
    `int` | `getDataOffset()`
    `int` | `getLength()`
    `int` | `getOptA()`
    `int` | `getOptB()`
    `int` | `getOptC()`
    `java.lang.String` | `getThingType()` Returns the type of the thing, eg TEXT, FONT or TOKN
    `protected void` | `setData(byte[] data)`
    `void` | `setDataOffset(int offset)`
    `void` | `setOptA(int optA)`
    `void` | `setOptB(int optB)`
    `void` | `setOptC(int optC)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QCBit

          public QCBit(java.lang.String thingType,
                       java.lang.String bitType,
                       byte[] data)

  - ### Method Detail

    - #### getThingType

          public java.lang.String getThingType()

      Returns the type of the thing, eg TEXT, FONT or TOKN

    - #### getBitType

          public java.lang.String getBitType()

      Returns the type of the bit data, eg TEXT or PLC

    - #### getData

          public final byte[] getData()

    - #### setData

          protected final void setData(byte[] data)

    - #### getOptA

          public int getOptA()

    - #### setOptA

          public void setOptA(int optA)

    - #### getOptB

          public int getOptB()

    - #### setOptB

          public void setOptB(int optB)

    - #### getOptC

          public int getOptC()

    - #### setOptC

          public void setOptC(int optC)

    - #### getDataOffset

          public int getDataOffset()

    - #### setDataOffset

          public void setDataOffset(int offset)

    - #### getLength

          public int getLength()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.